Subject: bug#19776: 25.0.50; HTML rendering is very slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 21:10:57 +0200

Stefan Monnier <[email-masked]> writes:

> You don't need a new byte-code, but I'd strongly advise against using
> a new special form.  It'll be much simpler to define it as a macro +
> a function, where the macro turns
>
>     (with-delayed-message MSG BODY)
>
> into
>
>     (funcall-with-delayed-message MSG (lambda () BODY))

I've now implemented this...  but testing this with a busy loop shows
that the atimer doesn't fire (or at least that the callback doesn't get
called) in all situations.

If I move the mouse pointer, for instance, then it's called.  If I don't
do anything, and eval this:

(with-delayed-message 0.5 "Yes"
  (dotimes (i 1000000000)
    (+ i 2)))

the atimer callback isn't called.  Anybody know what's up with that?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no